﻿@model IEnumerable<CashOffice.Models.ChartOutPut>
@{
    ViewBag.Title = "TestNemodar";
    Layout = MVC.Shared.Views._Layout;
}

<div class="form-horizontal">
    @using (Html.BeginForm("TestNemodar", "Test", FormMethod.Get))
    {
        @Html.AntiForgeryToken()
        <hr />
        <div class="form-horizontal">

            <div class="form-group">
                <div class="col-md-1">
                    <input type="submit" value="اعمال" id="index" name="index" class="btn btn-success">
                </div>
                <div class="col-md-10">
                    @Html.Editor("FromDate", new { htmlAttributes = new { @class = "form-control" } })
                </div>
                <div class="col-md-10">
                    @Html.Editor("ToDate", new { htmlAttributes = new { @class = "form-control" } })
                </div>
            </div>
        </div>
        @*<div class="col-md-10">
                @Html.Editor("SearchDoc", new { htmlAttributes = new { @class = "form-control" } })
            </div>*@
    }
</div>
<div class="col-md-8">
    <canvas id="ch7" width="600" height="400"></canvas>
</div>
@*<div class="col-md-4">
        <canvas id="canvas_Bar1" width="400" height="400"></canvas>
    </div>*@

<div class="col-md-4" width="700" height="600">
    <table class="table w3-animate-zoom">
        <tr class="w3-light-green">
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Count)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Value) (ریال)
            </th>
        </tr>

        @foreach (var item in Model)
            {
            <tr class="w3-dark-gray">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Count)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Value)
                </td>
            </tr>
            }

    </table>
</div>
@section Scripts{
    @Scripts.Render("~/bundles/js/charts")
    <script>


        var ch7Data = [];
        var ch7labels = [];
        var ch7Values = [];
        var ch7Counts = [];
        var ch7Colors = [];
        var options = [];
        @foreach (var item in Model)
        {
            <text> ch7labels.push("@item.Name");</text>
            <text> ch7Values.push(@item.Value);</text>
            <text> ch7Counts.push(@item.Count);</text>
            <text> ch7Colors.push("@item.Color");</text>
        }
        var randomColor = function () {
            return '#' + (Math.random().toString(16) + '00000000').slice(2, 8);
        }

        //var options = {
        //    scales: {
        //        xAxes: [{
        //            stacked: true
        //        }],
        //        yAxes: [{
        //            stacked: true
        //        }]
        //    },
        //    responsive: true,
        //    pointDotRadius: 10,
        //    bezierCurve: false,
        //    scaleShowVerticalLines: false,
        //    scaleGridLineColor: 'black'
        //};
        //console.log(ch7Colors);
        ch7Data = {
            labels: ch7labels,
            datasets: [
                {

                    fillColor: ch7Colors,
                    strokeColor: ch7Colors,
                    pointColor: ch7Colors,
                    pointstrokeColor: ch7Colors,
                    data: ch7Values,
                    title: "تست"
                },
                //{
                //    fillColor: "rgba(151,187,205,0)",
                //    strokeColor: "rgba(151,187,205,1)",
                //    pointColor: "rgba(151,187,205,1)",
                //    data: ch7Counts//[60, 10, 40, 30, 80, 30, 20]
                //}
            ]
        };
        /////////////////////////////////////////////////////////////////////////////////
        //$(function () {

        //        //var ctx = document.getElementById('ch7').getContext('2d');
        //        //var chart = new Chart(ctx).Bar(ch7Data, null);
        //        //var chart = new Chart(ctx).Bar(ch7Data, options);
        //        //chart.datasets[0].bars[0].fillColor = randomColor();
        //        //chart.datasets[0].bars[0].highlightFill = randomColor();
        //        //chart.datasets[0].bars[1].fillColor = randomColor();
        //        //chart.datasets[0].bars[1].highlightFill = randomColor();
        //        //chart.datasets[0].bars[2].fillColor = randomColor();
        //        //chart.datasets[0].bars[2].highlightFill = randomColor();
        //        //chart.datasets[0].bars[3].fillColor = randomColor();
        //        //chart.datasets[0].bars[3].highlightFill = randomColor();
        //        //chart.datasets[0].bars[4].fillColor = randomColor();
        //        //chart.datasets[0].bars[4].highlightFill = randomColor();
        //        //chart.update();

        //});

        function setColor(area, data, config, i, j, animPct, value) {
            if (value > 35) return ("rgba(220,0,0," + animPct);
            else return ("rgba(0,220,0," + animPct);

        }

        var charJSPersonnalDefaultOptions = { decimalSeparator: ",", thousandSeparator: ".", roundNumber: "none", graphTitleFontSize: 2 };

        defCanvasWidth = 600;
        defCanvasHeight = 300;


        var mydata1 = {
            labels: ["January", "February", "March", "April", "May", "June", "July"],
            //	labels : ["January"],
            datasets: [
                {
                    fillColor: "rgba(220,220,220,0.5)",
                    strokeColor: "rgba(220,220,220,1)",
                    pointColor: "rgba(220,220,220,1)",
                    pointstrokeColor: "yellow",
                    data: [95, 53, 99, , 73, 27, 82],
                    //			data : [40],

                    title: "2014"
                },
                {
                    fillColor: "rgba(151,187,205,0.5)",
                    strokeColor: "rgba(151,187,205,1)",
                    pointColor: "green",
                    pointstrokeColor: "yellow",
                    data: [35, 43, 59, , 31, 50, 66],
                    //			data : [35],
                    title: "2013"
                }
            ]
        }

        var startWithDataset = 1;
        var startWithData = 1;

        var opt1 = {
            animationStartWithDataset: startWithDataset,
            animationStartWithData: startWithData,
            animationSteps: 200,
            canvasBorders: true,
            canvasBordersWidth: 1,
            canvasBordersColor: "black",
            graphTitle: "گزارش درآمد",
            footNote: "گزارش درآمد",
            footNoteAlign:'center',
            legend: true,
            inGraphDataShow: true,
            annotateDisplay: true,
            graphTitleFontSize: 10,
            barValueSpacing: 40,
            detectAnnotateOnFullLine: true,
            annotateFontFamily: 'Tahoma',
            annotateFontSize: 10,
            scaleFontFamily: 'Tahoma',
            scaleFontSize: 10,
            legendFontFamily: 'Tahoma',
            footNoteFontFamily: 'Tahoma',
            pointLabelFontFamily: 'Tahoma',
            inGraphDataFontFamily: 'Tahoma',
            graphTitleFontFamily: 'Tahoma',
        }

        var opt2 = {
            animationStartWithDataset: startWithDataset,
            animationStartWithData: startWithData,
            animationLeftToRight: true,
            animationSteps: 200,
            animationEasing: "linear",
            canvasBorders: true,
            canvasBordersWidth: 3,
            canvasBordersColor: "black",
            graphTitle: "animationLeftToRight=true",
            legend: true,
            inGraphDataShow: true,
            annotateDisplay: true,
            graphTitleFontSize: 18

        }

        var opt3 = {
            animationStartWithDataset: startWithDataset,
            animationStartWithData: startWithData,
            animationByDataset: true,
            animationSteps: 200,
            animationEasing: "linear",
            canvasBorders: true,
            canvasBordersWidth: 3,
            canvasBordersColor: "black",
            graphTitle: "animationByDataset=true",

            legend: true,
            inGraphDataShow: true,
            annotateDisplay: true,
            graphTitleFontSize: 18
        }

        var opt4 = {
            animationStartWithDataset: startWithDataset,
            animationStartWithData: startWithData,
            animationLeftToRight: true,
            animationByDataset: true,
            animationSteps: 200,
            animationEasing: "linear",
            canvasBorders: true,
            canvasBordersWidth: 1,
            canvasBordersColor: "black",
            graphTitle: "animationByDataset=true & animationLeftToRight=true ",
            legend: true,
            inGraphDataShow: true,
            annotateDisplay: true,
            graphTitleFontSize: 18
        }

        window.onload = function () {

            var ctx = document.getElementById('ch7').getContext('2d');
            chart = new Chart(ctx).Bar(ch7Data, opt1);

            //var ctx = document.getElementById('canvas_Bar1').getContext('2d');
            //var chart = new Chart(ctx).Bar(mydata1, opt1);
            //var myBar = new Chart(document.getElementById('canvas_Bar1').getContext('2d')).Bar(mydata1, opt1);
            //console.log(myBar);
            //var myBar = new Chart(document.getElementById("canvas_Bar2").getContext("2d")).Bar(mydata1, opt2);
            //var myBar = new Chart(document.getElementById("canvas_Bar3").getContext("2d")).Bar(mydata1, opt3);
            //var myBar = new Chart(document.getElementById("canvas_Bar4").getContext("2d")).Bar(mydata1, opt4);

        }

    </script>
}
